HappHapp Docs
Companies

Get all companies with filtering

GET
/api/companies

Retrieves a list of companies with optional filtering

Authorization

access-token
X-Access-Token<token>

Enter your Access Token (format: happ_...)

In: header

Query Parameters

name?string

Filter by company name

description?string
status?string

Filter by company status (new, trial, active, inactive, churned, paused, banned)

Value in

  • "new"
  • "trial"
  • "active"
  • "inactive"
  • "churned"
  • "paused"
  • "banned"
ownerId?string

Filter by owner ID

Formatuuid
userId?string

Filter by user ID (owner)

Formatuuid
search?string

Free-text search over company name and description

Response Body

application/json

curl -X GET "https://example.com/api/companies"
[  {    "id": "string",    "name": "string",    "description": "string",    "ownerId": "string"  }]
Empty